﻿@model List<Product>
@inject ASPGestionProduit.Interface.ITraduction traductionService
@using System.Security.Claims;
@using Microsoft.AspNetCore.Http;
@inject IHttpContextAccessor _accessor
<div class="container-fluid" style="display:flex; flex-direction:column;">
    <div class="container mt-3">
        <form asp-controller="Home" asp-action="RechercheUnProduct">
            <div class="row">
                <div class="input-group mb-3 col">
                    <div class="btn-group">
                        <button class="btn btn-secondary" type="button">
                            Categorie
                        </button>
                        <button type="button" class="btn btn-secondary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="sr-only"></span>
                        </button>
                        <div class="dropdown-menu">
                            @foreach (Categorie c in @ViewBag.categories)
                            {

                                <li><a asp-controller="Home" asp-action="ActionListProductByCategorie" asp-route-id="@c.Id" class="row font-weight-bold text-center nav-link text-dark">@c.Nom</a></li>

                            }

                        </div>
                    </div>
                    <input type="text" name="message" class="form-control" placeholder="Rechercher un produit" aria-label="Rechercher une annonce" aria-describedby="basic-addon2">
                    <div class="input-group-append">
                        <Button class="input-group-text btn btn-info" type="submit" id="basic-addon2">Rechercher</Button>
                    </div>
                </div>
            </div>
        </form>
    </div>
    @if (@Model != null)
    {
        <div class="container" style="display:flex; flex-direction:row; justify-content:space-around; flex-wrap:wrap;">
            @if (Model.Count > 0)
            {
                @foreach (Product product in @Model)
                {
                    <div class="card m-2" style="width:18em;">
                        <img class="card-img-top border-bottom" src="@product.Images[0].Url" alt="Card image cap" style="height:240px; width:100%;">
                        <div class="card-body" style="display:flex; flex-direction:column; justify-content:space-between;">
                            <div class="row justify-content-between">
                                <div class="col p-1 ml-3"><h3 class="card-title text-info">@product.Titre</h3> </div>
                                <div class="col-3">

                                    @if (@product.IsFav == false)
                                    {

                                        <svg width="1em"  height="1em" viewBox="0 0 16 16" class="bi bi-suit-heart" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                            <path fill-rule="evenodd" d="M8 6.236l.894-1.789c.222-.443.607-1.08 1.152-1.595C10.582 2.345 11.224 2 12 2c1.676 0 3 1.326 3 2.92 0 1.211-.554 2.066-1.868 3.37-.337.334-.721.695-1.146 1.093C10.878 10.423 9.5 11.717 8 13.447c-1.5-1.73-2.878-3.024-3.986-4.064-.425-.398-.81-.76-1.146-1.093C1.554 6.986 1 6.131 1 4.92 1 3.326 2.324 2 4 2c.776 0 1.418.345 1.954.852.545.515.93 1.152 1.152 1.595L8 6.236zm.392 8.292a.513.513 0 0 1-.784 0c-1.601-1.902-3.05-3.262-4.243-4.381C1.3 8.208 0 6.989 0 4.92 0 2.755 1.79 1 4 1c1.6 0 2.719 1.05 3.404 2.008.26.365.458.716.596.992a7.55 7.55 0 0 1 .596-.992C9.281 2.049 10.4 1 12 1c2.21 0 4 1.755 4 3.92 0 2.069-1.3 3.288-3.365 5.227-1.193 1.12-2.642 2.48-4.243 4.38z" />
                                        </svg>
                                    }
                                    else
                                    {
                                        <svg height="1em" color="#DC143C" viewBox="0 0 16 16" class="bi bi-suit-heart-fill" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                            <path d="M4 1c2.21 0 4 1.755 4 3.92C8 2.755 9.79 1 12 1s4 1.755 4 3.92c0 3.263-3.234 4.414-7.608 9.608a.513.513 0 0 1-.784 0C3.234 9.334 0 8.183 0 4.92 0 2.755 1.79 1 4 1z" />
                                        </svg>
                                    }
                                </div>

                            </div>
                            <h4 class="border-bottom pb-2 font-italic">@product.Categorie.Nom</h4>
                            <h6 class="font-weight-bold font-italic">@product.Ean</h6>
                            <h6 class="card-title"> Prix : @product.Prix euros</h6>
                            <p class="card-text description">
                                @product.Description
                            </p>
                            @if (@_accessor.HttpContext.User.HasClaim(u => u.Type == ClaimTypes.Email) && (@_accessor.HttpContext.User.Claims.FirstOrDefault(u => u.Type == ClaimTypes.Role).Value) != "user")
                            {
                                <div class="row justify-content-around">
                                    <a asp-controller="Home" asp-action="SupprimerProduct" asp-route-id="@product.Id" class="btn btn-primary"> @traductionService.Traduction("supprimer")</a>
                                    <a asp-controller="Home" asp-action="ModifierProduct" asp-route-id="@product.Id" class="btn btn-primary"> @traductionService.Traduction("modifier")</a>
                                </div>
                            }
                            else
                            {
                                <div class="row justify-content-around">
                                    <a asp-controller="Home" asp-action="DetailProduct" asp-route-id="@product.Id" class="btn btn-primary"> @traductionService.Traduction("Details")</a>
                                    <a asp-controller="Utilisateur" asp-action="AddFavori" asp-route-id="@product.Id" class="btn btn-primary"> @traductionService.Traduction("Favoris")</a>
                                </div>
                            }
                        </div>
                        </div>
                }
            }
            else
            {

                <div class="row">
                    <div class="col alert-danger alert">
                        Produit indisponible pour le moment
                    </div>
                </div>


            }
        </div>
    }
    else
    {
        <div class="container mt-3">
            <div class="row justify-content-around flex-wrap">

                @foreach (Categorie c in @ViewBag.categories)
                {
                    <a asp-controller="Home" asp-action="ActionListProductByCategorie" asp-route-id="@c.Id">
                        <div class="card m-2" style="width:18em; height:15em">
                            <div class="card-header">
                                @c.Nom
                            </div>
                            <div class="card-body p-0">
                                <img class="w-100" src="@c.ImageCategorie.Url" />
                            </div>

                        </div>
                    </a>
                }
            </div>
        </div>
    }
</div>


